using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace pdf_namaiesh
{
    public partial class Form1 : Form
    {
        int pagenumber=0;
        int zoompage = 100;
        public Form1()
        {
            InitializeComponent();
        }

        private void openPDFFileToolStripMenuItem_Click(object sender, EventArgs e)
        {
            OpenFileDialog ofd = new OpenFileDialog();
            ofd.Filter=" All PDF File|*.pdf";
            if(ofd.ShowDialog()== DialogResult.OK)
                if (!(ofd.FileName.EndsWith(".pdf")))
                {
                    MessageBox.Show("   ");
                }
                else
                {
                    pdfDocument1.FilePath = ofd.FileName;
                    pdfPageView1.Document = pdfDocument1;
                    pdfPageView1.Show();
                    pdfPageView1.PageNumber = 0;
                    pagenumber++;
                    txtzoom.Text = pdfPageView1.Zoom.ToString();
                    txtpage.Text = pagenumber.ToString();
                    
                }

        }

        private void btnnextpage_Click(object sender, EventArgs e)
        {
            if (pagenumber < pdfDocument1.PageCount - 1)
            {
                pagenumber++;
                pdfPageView1.PageNumber = pagenumber;
                txtpage.Text = pagenumber.ToString();
            }
        }

        private void btnprepage_Click(object sender, EventArgs e)
        {
            if (pagenumber >0)
            {
                pagenumber--;
                pdfPageView1.PageNumber = pagenumber;
                txtpage.Text = pagenumber.ToString();
            }
        }

        private void btninzoom_Click(object sender, EventArgs e)
        {
            if (zoompage <1000)
            {
                zoompage += 50;
                pdfPageView1.Zoom = zoompage;
                txtzoom.Text = zoompage.ToString();
            }

        }

        private void btnoutzoom_Click(object sender, EventArgs e)
        {
            if (zoompage >10)
            {
                zoompage -= 50;
                pdfPageView1.Zoom = zoompage;
                txtzoom.Text = zoompage.ToString();
            }
        }

        private void btnjump_Click(object sender, EventArgs e)
        {
            int a = int.Parse(txtjump.Text);
            pdfPageView1.PageNumber = a;
            pagenumber = a;
            txtpage.Text = a.ToString();
        }

     
     
    }
}